Autore Topic: mancano librerie!!!!!!  (Letto 407 volte)

Offline teo_

  • Utente junior
  • **
  • Post: 72
  • Respect: +1
    • Github
    • Mostra profilo
  • Dispositivo Android:
    Nexus 4
  • Sistema operativo:
    Windows 7 - Ubuntu 12.10
mancano librerie!!!!!!
« il: 30 Ottobre 2011, 15:22:07 CET »
0
salve a tutti, cercando in internet ho trovato il codice sorgente dell'app di messaging di android, siccome potrebbe risultarmi molto utile, ho cercato di compilarlo per vedere i risultati, ma aprendo il codice mi segnala degli errori sugli import:
 
es:
Codice (Java): [Seleziona]
import android.provider.Telephony.Mms;
import android.provider.Telephony.MmsSms;
import android.provider.Telephony.Sms;
import android.provider.Telephony.Threads;
import android.provider.Telephony.Sms.Conversations;

"The import android.provider.Telephony cannot be resolved"

da quello che ho letto in internet cercando soluzione al mio problema sembrerebbe che certi import non vengono forniti nell'sdk standard, avete idea di come fare ad avere tali librerie?? o comunque come far funzionare quel codice??

grazie mille :)

Offline bradipao

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 4043
  • keep it simple
  • Respect: +567
    • Github
    • Google+
    • bradipao
    • Mostra profilo
  • Dispositivo Android:
    Nexus 5
  • Play Store ID:
    Bradipao
  • Sistema operativo:
    W7
Re:mancano librerie!!!!!!
« Risposta #1 il: 30 Ottobre 2011, 15:54:25 CET »
0
Che io sappia, android.provider.telephony voluitamente non fa parte dell'SDK. Probabilmente puoi comunque trovare Telephony.java nel source di android.
NON rispondo a domande nei messaggi privati
Bradipao @ Play Store

Offline teo_

  • Utente junior
  • **
  • Post: 72
  • Respect: +1
    • Github
    • Mostra profilo
  • Dispositivo Android:
    Nexus 4
  • Sistema operativo:
    Windows 7 - Ubuntu 12.10
Re:mancano librerie!!!!!!
« Risposta #2 il: 30 Ottobre 2011, 15:57:18 CET »
0
Che io sappia, android.provider.telephony voluitamente non fa parte dell'SDK.
e non è possibile aggiungerlo?

Citazione
Probabilmente puoi comunque trovare Telephony.java nel source di android.
non ho ben capito come trovarlo..

Offline bradipao

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 4043
  • keep it simple
  • Respect: +567
    • Github
    • Google+
    • bradipao
    • Mostra profilo
  • Dispositivo Android:
    Nexus 5
  • Play Store ID:
    Bradipao
  • Sistema operativo:
    W7
Re:mancano librerie!!!!!!
« Risposta #3 il: 30 Ottobre 2011, 16:13:02 CET »
0
e non è possibile aggiungerlo?
non ho ben capito come trovarlo..

Sinceramente io starei alla larga da ciò che non è in SDK.

Comunque per trovarlo io aprirei semplicemente google e cercherei android telephony.java .
NON rispondo a domande nei messaggi privati
Bradipao @ Play Store

Offline teo_

  • Utente junior
  • **
  • Post: 72
  • Respect: +1
    • Github
    • Mostra profilo
  • Dispositivo Android:
    Nexus 4
  • Sistema operativo:
    Windows 7 - Ubuntu 12.10
Re:mancano librerie!!!!!!
« Risposta #4 il: 30 Ottobre 2011, 16:17:37 CET »
0
Sinceramente io starei alla larga da ciò che non è in SDK.
perchè?

comunque, ho trovato qui il sorgente : http://grepcode.com/file/repository.grepcode.com/java/ext/com.google.android/android/1.5_r4/android/provider/Telephony.java#Telephony
potresti suggerirmi come aggiungerlo alle librerie?

Offline blackgin

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 1387
  • Respect: +164
    • Google+
    • blackgins
    • blackginsoft
    • Mostra profilo
  • Dispositivo Android:
    Galaxy Nexus
  • Sistema operativo:
    Mac OSX 10.8
Re:mancano librerie!!!!!!
« Risposta #5 il: 30 Ottobre 2011, 16:29:20 CET »
0
perchè?
Perché se non è nell'SDK ci sarà un motivo.
Postate il LogCat LogCat LogCat LogCat LogCat

Offline teo_

  • Utente junior
  • **
  • Post: 72
  • Respect: +1
    • Github
    • Mostra profilo
  • Dispositivo Android:
    Nexus 4
  • Sistema operativo:
    Windows 7 - Ubuntu 12.10
Re:mancano librerie!!!!!!
« Risposta #6 il: 30 Ottobre 2011, 16:41:20 CET »
0
Perché se non è nell'SDK ci sarà un motivo.
che ne so, magari non è molto richiesto o chessò, comunque nulla riguardo a come aggiungerlo?